Subject: bug#68582: 29.1; Emacs does not handle mailto requests

From: Christopher Yeleighton <[email-masked]>
Date: Fri, 19 Jan 2024 12:51:05 +0000

I did not configure Emacs to outsource the e-mail sending job, it is the 
DEFAULT configuration.

Neither the user nor the administrator can overwrite /usr stuff, it is 
maintained by the package manager.  If you think I can override it 
instead, I would appreciate a hint on how to do it.

Do you mean that the file emacs-mail.desktop should go to 
docs/emacs/examples instead of applications?

On 19.01.2024 12:35, Eli Zaretskii wrote:
> tags 68582 notabug wontfix
> close 68582
> thanks
>
>> Date: Fri, 19 Jan 2024 12:16:20 +0000
>> Cc: [email-masked], [email-masked]
>> From: Christopher Yeleighton <[email-masked]>
>>
>> C-x C-f /usr/share/applications/emacs-mail.desktop
>>
>>   > MimeType=x-scheme-handler/mailto;
> If you configure Emacs to outsource the email job, you should tell the
> system Emacs cannot handle mailto requests.  The emacs-mail.desktop
> file that comes with Emacs is not meant to be used in all possible
> system configurations, it is just a useful template and example.  It
> is the responsibility of the user or system admin to modify it when
> the system is configured in a way that contradicts the assumptions in
> emacs.desktop.
>
> So I don't think this is an Emacs bug to fix, and I'm therefore
> closing it.